# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TExecuteStatementReq

Packages that use TExecuteStatementReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TExecuteStatementReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TExecuteStatementReq
Modifier and Type
Class
Description
`class`
`TExecuteStatementReq`
`class`
`TExecuteStatementReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TExecuteStatementReq
Modifier and Type
Field
Description
`TExecuteStatementReq`
TCLIService.ExecuteStatement_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TExecuteStatementReq
Modifier and Type
Method
Description
`TExecuteStatementReq`
TExecuteStatementReq.`deepCopy()`
`TExecuteStatementReq`
TCLIService.ExecuteStatement_args.`getReq()`
`TExecuteStatementReq`
TExecuteStatementReq.`setCanDecompressLZ4Result(boolean canDecompressLZ4Result)`
`TExecuteStatementReq`
TExecuteStatementReq.`setCanDownloadResult(boolean canDownloadResult)`
`TExecuteStatementReq`
TExecuteStatementReq.`setCanReadArrowResult(boolean canReadArrowResult)`
`TExecuteStatementReq`
TExecuteStatementReq.`setConfOverlay(Map<String,String> confOverlay)`
`TExecuteStatementReq`
TExecuteStatementReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TExecuteStatementReq`
TExecuteStatementReq.`setMaxBytesPerBatch(long maxBytesPerBatch)`
`TExecuteStatementReq`
TExecuteStatementReq.`setMaxBytesPerFile(long maxBytesPerFile)`
`TExecuteStatementReq`
TExecuteStatementReq.`setParameters(List<TSparkParameter> parameters)`
`TExecuteStatementReq`
TExecuteStatementReq.`setQueryTimeout(long queryTimeout)`
`TExecuteStatementReq`
TExecuteStatementReq.`setResultRowLimit(long resultRowLimit)`
`TExecuteStatementReq`
TExecuteStatementReq.`setRunAsync(boolean runAsync)`
`TExecuteStatementReq`
TExecuteStatementReq.`setSessionHandle(TSessionHandle sessionHandle)`
`TExecuteStatementReq`
TExecuteStatementReq.`setStatement(String statement)`
`TExecuteStatementReq`
TExecuteStatementReq.`setStatementConf(TStatementConf statementConf)`
`TExecuteStatementReq`
TExecuteStatementReq.`setUseArrowNativeTypes(TSparkArrowTypes useArrowNativeTypes)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TExecuteStatementReq
Modifier and Type
Method
Description
`int`
TExecuteStatementReq.`compareTo(TExecuteStatementReq other)`
`boolean`
TExecuteStatementReq.`equals(TExecuteStatementReq that)`
`void`
TCLIService.AsyncClient.`ExecuteStatement(TExecuteStatementReq req, org.apache.thrift.async.AsyncMethodCallback<TExecuteStatementResp> resultHandler)`
`void`
TCLIService.AsyncIface.`ExecuteStatement(TExecuteStatementReq req, org.apache.thrift.async.AsyncMethodCallback<TExecuteStatementResp> resultHandler)`
`TExecuteStatementResp`
TCLIService.Client.`ExecuteStatement(TExecuteStatementReq req)`
`TExecuteStatementResp`
TCLIService.Iface.`ExecuteStatement(TExecuteStatementReq req)`
`void`
TCLIService.Client.`send_ExecuteStatement(TExecuteStatementReq req)`
`TCLIService.ExecuteStatement_args`
TCLIService.ExecuteStatement_args.`setReq(TExecuteStatementReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TExecuteStatementReq
Modifier
Constructor
Description
``
`ExecuteStatement_args(TExecuteStatementReq req)`
``
`ExecuteStatement_call(TExecuteStatementReq req, org.apache.thrift.async.AsyncMethodCallback<TExecuteStatementResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TExecuteStatementReq(TExecuteStatementReq other)`
Performs a deep copy on other.